<?php
/**
 * Mobile Accessories Shop functions and definitions
 *
 * @package Mobile Accessories Shop
 */

/**
 * Set the content width based on the theme's design and stylesheet.
 */

if ( ! function_exists( 'mobile_accessories_shop_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which runs
 * before the init hook. The init hook is too late for some features, such as indicating
 * support post thumbnails.
 */
function mobile_accessories_shop_setup() {
	global $content_width;
	if ( ! isset( $content_width ) )
		$content_width = 680;
	
	load_theme_textdomain( 'mobile-accessories-shop', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'align-wide' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'wp-block-styles');
	add_theme_support( 'custom-header', array(
		'default-text-color' => false,
		'header-text' => false,
	) );
	add_theme_support( 'custom-logo', array(
		'height'      => 50,
		'width'       => 100,
		'flex-height' => true,
	) );
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'mobile-accessories-shop' ),
	) );
	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	/*
	 * Enable support for Post Formats.
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_editor_style( 'editor-style.css' );

	// Theme Activation Notice
	global $pagenow;

	if (
		is_admin()
		&&
		('themes.php' == $pagenow)
		// &&
		// isset( $_GET['activated'] )
	) {
		add_action('admin_notices', 'mobile_accessories_shop_deprecated_hook_admin_notice');
	}
}
endif; // mobile_accessories_shop_setup
add_action( 'after_setup_theme', 'mobile_accessories_shop_setup' );

function mobile_accessories_shop_the_breadcrumb() {
    echo '<div class="breadcrumb my-3">';

    if (!is_home()) {
        echo '<a class="home-main align-self-center" href="' . esc_url(home_url()) . '">';
        bloginfo('name');
        echo "</a> >> ";

        if (is_category() || is_single()) {
            the_category(' >> ');
            if (is_single()) {
                echo ' >> <span class="current-breadcrumb">' . esc_html(get_the_title()) . '</span>';
            }
        } elseif (is_page()) {
            echo '<span class="current-breadcrumb">' . esc_html(get_the_title()) . '</span>';
        }
    }

    echo '</div>';
}

function mobile_accessories_shop_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'mobile-accessories-shop' ),
		'description'   => __( 'Appears on blog page sidebar', 'mobile-accessories-shop' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'mobile-accessories-shop' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'mobile-accessories-shop' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'mobile-accessories-shop' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'mobile-accessories-shop' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar(array(
        'name'          => __('Shop Sidebar', 'mobile-accessories-shop'),
        'description'   => __('Sidebar for WooCommerce shop pages', 'mobile-accessories-shop'),
		'id'            => 'woocommerce-sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));
	register_sidebar(array(
        'name'          => __('Single Product Sidebar', 'mobile-accessories-shop'),
        'description'   => __('Sidebar for single product pages', 'mobile-accessories-shop'),
		'id'            => 'woocommerce-single-sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));		
	
	$mobile_accessories_shop_widget_areas = get_theme_mod('mobile_accessories_shop_footer_widget_areas', '4');
	for ($mobile_accessories_shop_i=1; $mobile_accessories_shop_i<=$mobile_accessories_shop_widget_areas; $mobile_accessories_shop_i++) {
		register_sidebar( array(
			'name'          => __( 'Footer Widget ', 'mobile-accessories-shop' ) . $mobile_accessories_shop_i,
			'id'            => 'footer-' . $mobile_accessories_shop_i,
			'description'   => '',
			'before_widget' => '<aside id="%1$s" class="ftr-4-box widget-column-4 %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );
	}

}
add_action( 'widgets_init', 'mobile_accessories_shop_widgets_init' );

// Change number of products per row to 4
add_filter('loop_shop_columns', 'mobile_accessories_shop_loop_columns');
if (!function_exists('mobile_accessories_shop_loop_columns')) {
    function mobile_accessories_shop_loop_columns() {
        $mobile_accessories_shop_colm = get_theme_mod('mobile_accessories_shop_products_per_row', 4); // Default to 4 if not set
        return $mobile_accessories_shop_colm;
    }
}

// Use the customizer setting to set the number of products per page
function mobile_accessories_shop_products_per_page($mobile_accessories_shop_cols) {
    $mobile_accessories_shop_cols = get_theme_mod('mobile_accessories_shop_products_per_page', 8); // Default to 8 if not set
    return $mobile_accessories_shop_cols;
}
add_filter('loop_shop_per_page', 'mobile_accessories_shop_products_per_page', 8);

function mobile_accessories_shop_scripts() {
	
	wp_enqueue_style( 'mobile-accessories-shop-bootstrap-css', esc_url(get_template_directory_uri())."/css/bootstrap.css" );
	wp_enqueue_style('mobile-accessories-shop-style', get_stylesheet_uri(), array() );
		wp_style_add_data('mobile-accessories-shop-style', 'rtl', 'replace');
	require get_parent_theme_file_path( '/inc/color-scheme/custom-color-control.php' );
	wp_add_inline_style( 'mobile-accessories-shop-style',$mobile_accessories_shop_color_scheme_css );
	wp_enqueue_style( 'mobile-accessories-shop-default', esc_url(get_template_directory_uri())."/css/default.css" );
	wp_enqueue_style( 'mobile-accessories-shop-style', get_stylesheet_uri() );
	wp_enqueue_script( 'mobile-accessories-shop-bootstrap-js', esc_url(get_template_directory_uri()). '/js/bootstrap.js', array('jquery') );
	wp_enqueue_script( 'mobile-accessories-shop-theme', esc_url(get_template_directory_uri()) . '/js/theme.js' );
	wp_enqueue_style( 'mobile-accessories-shop-font-awesome-css', esc_url(get_template_directory_uri())."/css/fontawesome-all.css" );
	wp_enqueue_style( 'mobile-accessories-shop-block-style', esc_url( get_template_directory_uri() ).'/css/blocks.css' );

	/*--------------------------- Animations -------------------*/
    if ( get_theme_mod( 'mobile_accessories_shop_animation_enabled', true ) ) {
		wp_enqueue_script( 'mobile-accessories-shop-wow-jquery', get_template_directory_uri() . '/js/wow.js', array('jquery'),'' ,true );
        wp_enqueue_style( 'mobile-accessories-shop-animate-style', get_template_directory_uri().'/css/animate.css' );
    }

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// font-family
    $mobile_accessories_shop_heading_font = esc_html(get_theme_mod('mobile_accessories_shop_headings_fonts'));
    $mobile_accessories_shop_body_font = esc_html(get_theme_mod('mobile_accessories_shop_body_fonts'));

    if ($mobile_accessories_shop_body_font) {
        wp_enqueue_style('mobile-accessories-shop-body-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($mobile_accessories_shop_body_font));
    } else {
        wp_enqueue_style('Open Sans', 'https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800');
    }

    if ($mobile_accessories_shop_heading_font) {
        wp_enqueue_style('mobile-accessories-shop-heading-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($mobile_accessories_shop_heading_font));
    } else {
        wp_enqueue_style('Orbitron', 'https://fonts.googleapis.com/css2?family=Orbitron:wght@400..900');
    }
}
add_action( 'wp_enqueue_scripts', 'mobile_accessories_shop_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Sanitization Callbacks.
 */
require get_template_directory() . '/inc/sanitization-callbacks.php';

/**
 * Webfont-Loader.
 */
require get_template_directory() . '/inc/wptt-webfont-loader.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/upgrade-to-pro.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/inc/gfonts.php';

/**
 * Theme Info Page.
 */
require get_template_directory() . '/inc/addon.php';

/**
 * Load TGM.
 */
require get_template_directory() . '/inc/tgm/tgm.php';

/**
 * select .
 */
require get_template_directory() . '/inc/select/category-dropdown-custom-control.php';

function mobile_accessories_shop_setup_theme() {
	if ( ! defined( 'MOBILE_ACCESSORIES_SHOP_PREMIUM_PAGE' ) ) {
		define('MOBILE_ACCESSORIES_SHOP_PREMIUM_PAGE',__('https://www.theclassictemplates.com/products/mobile-accessories-wordpress-theme','mobile-accessories-shop'));
	}
	if ( ! defined( 'MOBILE_ACCESSORIES_SHOP_PRO_NAME' ) ) {
		define( 'MOBILE_ACCESSORIES_SHOP_PRO_NAME', __( 'About Mobile Accessories Shop', 'mobile-accessories-shop' ));
	}
	if ( ! defined( 'MOBILE_ACCESSORIES_SHOP_THEME_PAGE' ) ) {
		define('MOBILE_ACCESSORIES_SHOP_THEME_PAGE',__('https://www.theclassictemplates.com/collections/best-wordpress-templates','mobile-accessories-shop'));
	}
	if ( ! defined( 'MOBILE_ACCESSORIES_SHOP_SUPPORT' ) ) {
		define('MOBILE_ACCESSORIES_SHOP_SUPPORT',__('https://wordpress.org/support/theme/mobile-accessories-shop/','mobile-accessories-shop'));
	}
	if ( ! defined( 'MOBILE_ACCESSORIES_SHOP_REVIEW' ) ) {
		define('MOBILE_ACCESSORIES_SHOP_REVIEW',__('https://wordpress.org/support/theme/mobile-accessories-shop/reviews/','mobile-accessories-shop'));
	}
	if ( ! defined( 'MOBILE_ACCESSORIES_SHOP_PRO_DEMO' ) ) {
		define('MOBILE_ACCESSORIES_SHOP_PRO_DEMO',__('https://live.theclassictemplates.com/mobile-accessories-shop-pro/','mobile-accessories-shop'));
	}
	if ( ! defined( 'MOBILE_ACCESSORIES_SHOP_THEME_DOCUMENTATION' ) ) {
		define('MOBILE_ACCESSORIES_SHOP_THEME_DOCUMENTATION',__('https://live.theclassictemplates.com/demo/docs/mobile-accessories-shop-free/','mobile-accessories-shop'));
	}
	if ( ! defined( 'MOBILE_ACCESSORIES_SHOP_BUNDLE_PAGE' ) ) {
		define('MOBILE_ACCESSORIES_SHOP_BUNDLE_PAGE',__('https://www.theclassictemplates.com/products/wordpress-theme-bundle','mobile-accessories-shop'));
	}
}
add_action('after_setup_theme', 'mobile_accessories_shop_setup_theme');
    
// logo
if ( ! function_exists( 'mobile_accessories_shop_the_custom_logo' ) ) :
/**
 * Displays the optional custom logo.
 *
 * Does nothing if the custom logo is not available.
 *
 */
function mobile_accessories_shop_the_custom_logo() {
	if ( function_exists( 'the_custom_logo' ) ) {
		the_custom_logo();
	}
}
endif;

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

/* Activation Notice */
function mobile_accessories_shop_deprecated_hook_admin_notice() {
	 $mobile_accessories_shop_theme = wp_get_theme();
	$mobile_accessories_shop_meta = get_option( 'mobile_accessories_shop_admin_notice' );

	if (!$mobile_accessories_shop_meta) {
    ?>
        <div id="mobile-accessories-shop-welcome-notice" class="getstrat updated notice notice-success welcome-notice is-dismissible notice-get-started-class">
            <div class="admin-image">
                <img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/screenshot.png'; ?>" />
            </div>
            <div class="admin-content" >
                <h1><?php 
				/* translators: 1: Theme name, 2: Theme version. */
				printf( esc_html__( 'Welcome to %1$s %2$s', 'mobile-accessories-shop' ), esc_html($mobile_accessories_shop_theme->get( 'Name' )), esc_html($mobile_accessories_shop_theme->get( 'Version' ))); ?>
                </h1>
                <p><?php _e('Get Started With Theme By Clicking On Getting Started.', 'mobile-accessories-shop'); ?></p>
                <div style="display: grid;">
                    <a class="admin-notice-btn button button-hero upgrade-pro" target="_blank" href="<?php echo esc_url( MOBILE_ACCESSORIES_SHOP_PREMIUM_PAGE ); ?>"><?php esc_html_e('Upgrade Pro', 'mobile-accessories-shop') ?><i class="dashicons dashicons-cart"></i></a>
                    <a class="admin-notice-btn button button-hero" href="<?php echo esc_url( admin_url( 'themes.php?page=mobile-accessories-shop' )); ?>"><?php esc_html_e( 'Get started', 'mobile-accessories-shop' ) ?><i class="dashicons dashicons-backup"></i></a>
                    <a class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( MOBILE_ACCESSORIES_SHOP_THEME_DOCUMENTATION ); ?>"><?php esc_html_e('Free Doc', 'mobile-accessories-shop') ?><i class="dashicons dashicons-visibility"></i></a>
                    <a  class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( MOBILE_ACCESSORIES_SHOP_PRO_DEMO ); ?>"><?php esc_html_e('View Demo', 'mobile-accessories-shop') ?><i class="dashicons dashicons-awards"></i></a>
                </div>
            </div>
			<div class="admin-bundle-image">
            	<a href="<?php echo esc_url( MOBILE_ACCESSORIES_SHOP_BUNDLE_PAGE ); ?>" target="_blank"><img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/images/image_1.webp'; ?>" /></a>
            </div>
        </div>
	<?php
    }
}
// Admin notice code START
function mobile_accessories_shop_dismissed_notice() {
	update_option( 'mobile_accessories_shop_admin_notice', true );
}
add_action( 'wp_ajax_mobile_accessories_shop_dismissed_notice', 'mobile_accessories_shop_dismissed_notice' );


//After Switch theme function
add_action('after_switch_theme', 'mobile_accessories_shop_getstart_setup_options');
function mobile_accessories_shop_getstart_setup_options () {
    update_option('mobile_accessories_shop_admin_notice', false );
}
// Admin notice code END